# Created by pyp2rpm-3.3.1
%global pypi_name setuptools-scm-git-archive
%global srcname setuptools_scm_git_archive

Name:           python-%{pypi_name}
Version:        1.4.1
Release:        %mkrel 1
Summary:        setuptools_scm plugin for git archives
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/setuptools-scm-git-archive
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description
This is a setuptools_scm plugin that adds support for git archives (for
example the ones GitHub automatically generates). Note that it only works for
archives of tagged commits (because git currently lacks a format option
equivalent to git describe --tags).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
This is a setuptools_scm plugin that adds support for git archives (for
example the ones GitHub automatically generates). Note that it only works for
archives of tagged commits (because git currently lacks a format option
equivalent to git describe --tags).

%prep
%autosetup -n setuptools_scm_git_archive-%{version}

sed -i 's|setuptools-scm<8|setuptools-scm<9|' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Feb 26 2025 daviddavid <daviddavid> 1.4.1-1.mga10
+ Revision: 2152770
- new version: 1.4.1
- rebuild for python 3.13

* Fri Dec 08 2023 wally <wally> 1.1-5.mga10
+ Revision: 2015613
- rebuild for py3.12

* Thu Mar 24 2022 umeabot <umeabot> 1.1-4.mga9
+ Revision: 1824738
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 1.1-3.mga9
+ Revision: 1774489
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 1.1-2.mga9
+ Revision: 1703290
- rebuild for python 3.9

* Wed Nov 11 2020 guillomovitch <guillomovitch> 1.1-1.mga8
+ Revision: 1644572
- new version 1.1

* Sun Feb 16 2020 umeabot <umeabot> 1.0-5.mga8
+ Revision: 1531362
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 tv <tv> 1.0-4.mga8
+ Revision: 1439647
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 1.0-3.mga7
+ Revision: 1351020
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0-2.mga7
+ Revision: 1290022
- Mageia 7 Mass Rebuild

* Sat May 05 2018 wally <wally> 1.0-1.mga7
+ Revision: 1226606
- imported package python-setuptools-scm-git-archive

